Subject: bug in diff -r?

From: Stan Schymanski <[email-masked]>
Date: Mon, 15 Feb 2021 22:56:38 +0100

Dear all,

I cannot get diff -r to search recursively. Here is an example. First I
create two folders, each with one sub-folder and one file, where each
sub-folder and file has a different content:
```
$ mkdir orig
$ mkdir backup
$ mkdir orig/1
$ mkdir backup/2
$ echo 'blah' > orig/1/test.txt
$ ls orig/1
test.txt
$ echo 'blah1' > backup/2/test1.txt
```
Now I compare them using the '-qr' option:

```
$ diff -qr orig/ backup/
Only in orig/: 1
Only in backup/: 2
```
I was expecting to be told that orig/1/test.txt and backup/2/test1.txt
are unique. If I descend into the subfolder in one of them, the file in
that folder is found:
```
$ diff -r orig/1 backup/
Only in backup/: 2
Only in orig/1: test.txt
```
I actually get the same behaviour with or without '-qr'. Is this a bug
or am I misunderstanding diff -r? I am using diff (GNU diffutils) 3.7.

Cheers
Stan